Package org.eclipse.emf.cdo.server.db.mapping

# Interface ITypeMapping.Registry

Enclosing interface:
  `ITypeMapping`

public static interface ITypeMapping.Registry
A global (singleton) registry which collects all available type mappings which are either available in the CDO core, as declared extensions, or registered manually.

Since:
  4.0
Author:
  Stefan Winkler

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ITypeMapping.Registry`
`INSTANCE`
The one global (singleton) registry instance.

## Method Summary

Modifier and Type
Method
Description
`Collection<org.eclipse.net4j.db.DBType>`
`getDefaultFeatureMapDBTypes()`
Deprecated.
As of 4.5 `feature maps` are no longer supported.
`void`
`registerTypeMapping(ITypeMapping.Descriptor descriptor)`
Register a type mapping by descriptor.

## Field Details

### INSTANCE

static final ITypeMapping.Registry INSTANCE
The one global (singleton) registry instance.

## Method Details

### registerTypeMapping

void registerTypeMapping(ITypeMapping.Descriptor descriptor)
Register a type mapping by descriptor.

### getDefaultFeatureMapDBTypes

@Deprecated Collection<org.eclipse.net4j.db.DBType> getDefaultFeatureMapDBTypes()
Deprecated.
As of 4.5 `feature maps` are no longer supported.
Provides a list of all DBTypes for which type mappings exist in the registry. This is used in feature map tables to create columns for all of these types.